
'--------------------------------------------------------------------------------
'                                             DO MATH CLASS

'--------------------------------------------------------------------------------
'This class has one method called DoCompute. It takes two numbers to know what to do on the numbers.
'X and Y are short integers and Z is a string (+,-,*,/) that tell VB to add/subtract, etc.

'It also has one property that manages the math operation they want to perform.

Public Class DoMath

    '---use a private variable to grab the operand so someone cannont manipulate it directly!
    Private _mathOperand As String = String.Empty


    '---this property lets programmer set which operation they want (+,-,*,/)
    Public Property Operation() As String
        Get
            Return _mathOperand               'this returns the properties current value
        End Get
        Set(ByVal value As String)
            _mathOperand = value             'this sets/changes the property
        End Set
    End Property

    '---this function does the work
    Public Function DoCompute(ByVal x As Double, ByVal y As Double) As Double

        Dim Result As Double

        Select Case _mathOperand       'use our private variable here
            Case "+"
                Result = x + y

            Case "-"
                Result = x - y
            Case "*"
                Result = x * y

            Case "/"
                Result = x / y
        End Select
        Return Result

    End Function
End Class
